package com.unis.base.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.TyCrkjsxxVO;
import com.unis.base.common.vo.TySltpxxVO;
import com.unis.base.server.domain.TySltpxxDomain;
import com.unis.base.server.service.TySltpxxService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TySltpxxServiceImpl implements TySltpxxService {

	@Autowired
	private TySltpxxDomain tySltpxxDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TySltpxxVO> getTySltpxxList(TySltpxxVO tySltpxxVO) {
		return tySltpxxDomain.getTySltpxxList(tySltpxxVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TySltpxxVO> getTySltpxxPage(TySltpxxVO tySltpxxVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tySltpxxDomain.getTySltpxxList(tySltpxxVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TySltpxxVO tySltpxxVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tySltpxxVO.setTpid("LQ"+date);
		return tySltpxxDomain.insert(tySltpxxVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TySltpxxVO tySltpxxVO) {
		return tySltpxxDomain.update(tySltpxxVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String tpid) {
		//根据廒间编号获取廒间信息
		TySltpxxVO dAjxxsjyVO = tySltpxxDomain.getTySltpxxById(tpid);
		if(dAjxxsjyVO == null) {//廒间不存在
			return -1;
		}

		dAjxxsjyVO.setStatus(0);
		return tySltpxxDomain.update(dAjxxsjyVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TySltpxxVO getSltpxxBySltpxxid(String tpid) {
		return tySltpxxDomain.getTySltpxxById(tpid);
	}


}
